Page tree
Skip to end of metadata
Go to start of metadata
  1. Make sure Java is installed on your workstation

    • Run the command below to check if Java is installed:

      $ java -version
    •  If the command fails, that means Java is not installed. Install it by the following command:

      $ sudo apt-get install default-jre
       See Java installation command output…
      apt-get install default-jre
      $ sudo apt-get install default-jre
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      The following additional packages will be installed:
        ca-certificates-java default-java-plugin default-jre-headless icedtea-8-plugin icedtea-netx openjdk-8-jre openjdk-8-jre-headless
      Suggested packages:
        libnss-mdns fonts-ipafont-gothic fonts-ipafont-mincho fonts-wqy-microhei fonts-wqy-zenhei fonts-indic
      The following NEW packages will be installed:
        ca-certificates-java default-java-plugin default-jre default-jre-headless icedtea-8-plugin icedtea-netx openjdk-8-jre openjdk-8-jre-headless
      0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded.
      Need to get 256 kB/28.0 MB of archives.
      After this operation, 103 MB of additional disk space will be used.
      Do you want to continue? [Y/n] y
      Get:1 http://mirror.yandex.ru/debian stretch/main amd64 default-jre-headless amd64 2:1.8-58 [10.0 kB]
      Get:2 http://mirror.yandex.ru/debian stretch/main amd64 ca-certificates-java all 20170531+nmu1 [14.7 kB]
      Get:3 http://mirror.yandex.ru/debian stretch/main amd64 default-jre amd64 2:1.8-58 [934 B]
      Get:4 http://mirror.yandex.ru/debian stretch/main amd64 icedtea-netx amd64 1.6.2-3.1 [34.7 kB]
      Get:5 http://mirror.yandex.ru/debian stretch/main amd64 icedtea-8-plugin amd64 1.6.2-3.1 [195 kB]
      Get:6 http://mirror.yandex.ru/debian stretch/main amd64 default-java-plugin amd64 2:1.8-58 [972 B]
      Fetched 256 kB in 0s (976 kB/s)         
      Selecting previously unselected package default-jre-headless.
      (Reading database ... 41633 files and directories currently installed.)
      Preparing to unpack .../0-default-jre-headless_2%3a1.8-58_amd64.deb ...
      Unpacking default-jre-headless (2:1.8-58) ...
      Selecting previously unselected package ca-certificates-java.
      Preparing to unpack .../1-ca-certificates-java_20170531+nmu1_all.deb ...
      Unpacking ca-certificates-java (20170531+nmu1) ...
      Selecting previously unselected package openjdk-8-jre-headless:amd64.
      Preparing to unpack .../2-openjdk-8-jre-headless_8u141-b15-1~deb9u1_amd64.deb ...
      Unpacking openjdk-8-jre-headless:amd64 (8u141-b15-1~deb9u1) ...
      Selecting previously unselected package openjdk-8-jre:amd64.
      Preparing to unpack .../3-openjdk-8-jre_8u141-b15-1~deb9u1_amd64.deb ...
      Unpacking openjdk-8-jre:amd64 (8u141-b15-1~deb9u1) ...
      Selecting previously unselected package default-jre.
      Preparing to unpack .../4-default-jre_2%3a1.8-58_amd64.deb ...
      Unpacking default-jre (2:1.8-58) ...
      Selecting previously unselected package icedtea-netx:amd64.
      Preparing to unpack .../5-icedtea-netx_1.6.2-3.1_amd64.deb ...
      Unpacking icedtea-netx:amd64 (1.6.2-3.1) ...
      Selecting previously unselected package icedtea-8-plugin:amd64.
      Preparing to unpack .../6-icedtea-8-plugin_1.6.2-3.1_amd64.deb ...
      Unpacking icedtea-8-plugin:amd64 (1.6.2-3.1) ...
      Selecting previously unselected package default-java-plugin.
      Preparing to unpack .../7-default-java-plugin_2%3a1.8-58_amd64.deb ...
      Unpacking default-java-plugin (2:1.8-58) ...
      Processing triggers for mime-support (3.60) ...
      Processing triggers for libc-bin (2.24-11+deb9u1) ...
      Processing triggers for ca-certificates (20161130+nmu1) ...
      Updating certificates in /etc/ssl/certs...
      0 added, 0 removed; done.
      Running hooks in /etc/ca-certificates/update.d...
      
      done.
      done.
      Processing triggers for hicolor-icon-theme (0.15-1) ...
      Setting up openjdk-8-jre-headless:amd64 (8u141-b15-1~deb9u1) ...
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/rmid to provide /usr/bin/rmid (rmid) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java to provide /usr/bin/java (java) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/keytool to provide /usr/bin/keytool (keytool) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/jjs to provide /usr/bin/jjs (jjs) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/pack200 to provide /usr/bin/pack200 (pack200) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/rmiregistry to provide /usr/bin/rmiregistry (rmiregistry) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/unpack200 to provide /usr/bin/unpack200 (unpack200) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/orbd to provide /usr/bin/orbd (orbd) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/servertool to provide /usr/bin/servertool (servertool) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/tnameserv to provide /usr/bin/tnameserv (tnameserv) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jexec to provide /usr/bin/jexec (jexec) in auto mode
      Setting up ca-certificates-java (20170531+nmu1) ...
      Setting up openjdk-8-jre:amd64 (8u141-b15-1~deb9u1) ...
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/policytool to provide /usr/bin/policytool (policytool) in auto mode
      Setting up default-jre-headless (2:1.8-58) ...
      Setting up icedtea-netx:amd64 (1.6.2-3.1) ...
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws to provide /usr/bin/javaws (javaws) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/itweb-settings to provide /usr/bin/itweb-settings (itweb-settings) in auto mode
      update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/policyeditor to provide /usr/bin/policyeditor (policyeditor) in auto mode
      Setting up icedtea-8-plugin:amd64 (1.6.2-3.1) ...
      Setting up default-jre (2:1.8-58) ...
      Setting up default-java-plugin (2:1.8-58) ...
      Processing triggers for ca-certificates (20161130+nmu1) ...
      Updating certificates in /etc/ssl/certs...
      0 added, 0 removed; done.
      Running hooks in /etc/ca-certificates/update.d...
      done.
      done.
      Processing triggers for libc-bin (2.24-11+deb9u1) ...
    • After the installation completes, check   java -version  again  to make sure it works  normally.

       See java -version output…
      java -version
      $ java -version
      openjdk version "1.8.0_141"
      OpenJDK Runtime Environment (build 1.8.0_141-8u141-b15-1~deb9u1-b15)
      OpenJDK 64-Bit Server VM (build 25.141-b15, mixed mode)
  2. Install SubGit binaries

    • Download SubGit package for Debian:
      https://subgit.com/download

    • Fetch missing dependencies and install the package:

      $ sudo dpkg -i subgit_3.2.6_all.deb
      $ sudo apt-get install -f
       See installation command output…
      apt-get install subgit
      $ sudo dpkg -i ./subgit_3.2.6_all.deb 
      (Reading database ... 41899 files and directories currently installed.)
      Preparing to unpack ./subgit_3.2.6_all.deb ...
      Unpacking subgit (3.2.6) over (3.2.6) ...
      Setting up subgit (3.2.6) ...
      $ sudo apt-get install -f
      Reading package lists... Done
      Building dependency tree     
      Reading state information... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    • To verify SubGit installation run subgit --version command:

       Click here to expand command example...
      subgit --version
      $ subgit --version
      SubGit version 3.2.6 ('Bobique') build #3714
        (c) TMate Software 2012-2017 (http://subgit.com/)


      It should show the correct SubGit version.
      If it does not – make sure all the steps above are followed precisely. If it doesn't work anyway – don't hesitate to contact us at support@subgit.com